## cipux-passwd 3.4.0.3

=== debian/changelog ===
cipux-passwd (3.4.0.3-2) unstable; urgency=low

  * Fix mention CLI tool cipuxpasswd (not bogus cipux-passwd) in long
    description.
  * Improve package relations:
    + Drop relations for packages part of core Perl even in oldstable:
      - libversion-perl
      - libtest-simple-perl
    + Relax to unversioned relations when satisfied even in oldstable:
      - libclass-std-perl
      - libtest-pod-perl
      - libtest-pod-coverage-perl
    + Drop TODO file: Obsoleted by above.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump debhelper compatibility level to 7 (satisfied even in
    oldstable, and cdbs need backporting for oldstable anyway).
    Tighten build-dependencies on debhelper and cdbs correspondingly.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 May 2011 10:48:01 +0200

cipux-passwd (3.4.0.3-1) unstable; urgency=low

  * Initial release.
    Closes: bug#590985.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Jul 2010 23:44:28 +0200
