=== debian/control ===
Source: cipux-passwd
Section: perl
Priority: optional
Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts (>= 2.10.7~),
 perl,
 perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 libcipux-perl (>= 3.4.0.0),
 libcipux-rpc-client-perl (>= 3.4.0.0),
 libclass-std-perl,
 libreadonly-perl,
 libfile-spec-perl,
 libtest-perl-critic-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/cipux-passwd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-passwd.git;a=summary
Homepage: http://www.cipux.org/

Package: libcipux-passwd-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Description: routines for cipux-passwd
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains CipUX::Passwd, providing routines for the
 command-line tool cipuxpasswd.

Package: cipux-passwd
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Description: simple XML-RPC client to set your own password
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains the command-line tool cipuxpasswd to change your
 password via CipUX XML-RPC protocol.
