=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2010, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CipUX::Passwd
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-build.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg_lib = libcipux-passwd-perl

DEB_UPSTREAM_PACKAGE = CipUX-Passwd
DEB_UPSTREAM_URL = http://release.cipux.org
DEB_UPSTREAM_TARBALL_MD5 = 3eb0958ad4b0221dd8e5162df937e2cb

# Install through debhelper.mk (not directly with perl-build.mk)
DEB_PERL_DESTDIR = $(cdbs_curdestdir)
DEB_DH_INSTALL_SOURCEDIR = $(DEB_PERL_DESTDIR)

DEB_INSTALL_DOCS_cipux-passwd += doc/*

# Needed both by upstream build (or test) process and at runtime
common-depends = libcipux-perl (>= 3.4.0.0), libcipux-rpc-client-perl (>= 3.4.0.0), libclass-std-perl, libreadonly-perl
CDBS_DEPENDS_$(pkg_lib) = $(common-depends)
CDBS_BUILD_DEPENDS += , $(common-depends)

# Needed by upstream tests
CDBS_BUILD_DEPENDS += , libfile-spec-perl, libtest-perl-critic-perl, libtest-pod-perl, libtest-pod-coverage-perl

# Needed (often) at runtime
CDBS_RECOMMENDS_$(pkg_lib) = libreadonly-xs-perl
